Listings
/listings
Create listing
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
dryRun?boolean
Request Body
application/json
name?string|null
uniqueRef?string|null
connectionId?string|null
defaultCurrency?string|null
address?|null
sourceId?string|null
activeRecurringFeePeriods?|null
initialOwnership?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/listings" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"uniqueRef": "string",
"connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
"defaultCurrency": "string",
"address": {
"full": "string",
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"stateCode": "string",
"countryCode": "string"
},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"shortRef": "string",
"status": "active",
"activeOwnership": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"startAt": "string",
"endAt": "string",
"reserve": -9007199254740991,
"members": [
{
"contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
"split": 100000
}
],
"setListingInactive": true,
"businessModel": "managed",
"lock": {
"status": "locked",
"booksClosed": {
"date": "string"
},
"ownerStatement": {
"ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
},
"reconciled": {
"bankRecordIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
},
"statementPeriod": {
"hits": [
{
"listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
"txnAt": "string",
"openFrom": "string"
}
]
}
}
},
"activeRecurringFeePeriods": [
{
"startAt": "string",
"endAt": "string",
"rate": -9007199254740991,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"recurringFee": {
"id": "string",
"name": "string",
"type": "managementFee",
"rateType": "flat",
"defaultRate": -9007199254740991
}
}
],
"source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"status": "active",
"appId": "string",
"appIcon": "string"
},
"upcomingDeactivation": {
"status": "active",
"period": {
"id": "string",
"startAt": "string",
"endAt": "string"
}
},
"issues": [
{
"code": "missingOwnershipOrDeactivation",
"severity": "warning",
"context": {}
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}